%global __brp_check_rpaths %{nil}
%global packname  transplantr
%global packver   0.2.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.2.0
Release:          3%{?dist}%{?buildtag}
Summary:          Audit and Research Functions for Transplantation

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.1.0
Requires:         R-core >= 3.1.0
BuildArch:        noarch

%description
A set of vectorised functions to calculate medical equations used in
transplantation, focused mainly on transplantation of abdominal organs.
These functions include donor and recipient risk indices as used by NHS
Blood & Transplant, OPTN/UNOS and Eurotransplant, tools for quantifying
HLA mismatches, functions for calculating estimated glomerular filtration
rate (eGFR), a function to calculate the APRI (AST to platelet ratio)
score used in initial screening of suitability to receive a transplant
from a hepatitis C seropositive donor and some biochemical unit converter
functions. All functions are designed to work with either US or
international units. References for the equations are provided in the
vignettes and function documentation.

%prep
%setup -q -c -n %{packname}

find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}

test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%files
%{rlibdir}/%{packname}
